yardenbe

LINDA 3.0.5.735 Crashes with P3D v4.2 when loading PMDG 747

Recommended Posts

Hi guys,

I've just installed now the latest version of LINDA alongside profiles for PMDG 737, 777 and 747.

I'm encountering this strange problem where P3D crashes to desktop without any errors ONLY when loading the PMDG 747. When loading other aicraft and even other PMDG addons, everything loads up fine. Howerver, P3D will NOT crash if I load up the PMDG 747 from another aircraft (i.e.: Moving from a 777 to a 747 inside the sim itself)

I tried deleting LINDA, whereas afterwards the PMDG 747 loads up fine upon initial load. 

Anyone knows what may seem to be the problem?

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

It is normally not recommended starting PMDG aircraft from any other except from a default aircraft.

For me to assist, I need to ask you to follow the Fault Diagnosis thread procedure with LINDA verbose logging set to on. Then email me the FSUIPC5.log file. 

Share this post


Link to post
Share on other sites

Hi Yardenbe...

Are you aware of this topic?

Workaround is to launch your sim with the default F22 at the airport to your needs, then switch to PMDG B747.

There seems to be another workaround, just see the latest contributions to that same topic.

Try it, if this does not work, then you have to dig deeper along with Andrew.

Share this post


Link to post
Share on other sites

I am having a very similar issue with P3Dv4.2 but with the PMDG 777.  All was working fine auto-starting the latest version of Linda with P3Dv4.1.  I have figured out, that if I disable the auto-start of Linda in the FSUIPC.ini file and then start Linda manually after the 777 is up and stable, all is well.  Something has changed between Linda and P3Dv4.2.  Can anyone else reproduce my finding and work-around?

Share this post


Link to post
Share on other sites
Posted (edited)

Thank you jordanal 

Nothing has changed with LINDA. However, P3Dv4.2 includes significant changes to SimConnect resulting in updates to FSUIPC5 to 5.124. Users should ensure that they are using the latest version.

I am keen to hear of similar problems with full LINDA verbose logging if users experience any problems. 

Edited by ScotFlieger

Share this post


Link to post
Share on other sites

Alright guys, 

Andrew has been helping me out privately via e-mail on this matter, and when reading your comments here and connecting them up to my other friend's expericnes I understand that this is a known issue with no solution just yet. 

There might be two causes here:
P3D v4.2 OR/AND PMDG 747 itself.

How did I come to this conslusion? Via elimination:
1. I tried installing LINDA 3.0.5.735 with a clean installation with no module installed - P3D crashed when loading the 747 on a new scenario. 
2. I even tried installing my back up 2.9.3 from the P3D v3.4 days when it worked pefectly - did not work with P3D v4.2 - crashes when loading a new scenario.
3. Investigation with friends using LINDA, PMDG 747 and P3D 4.2 combination - who told me explicitly that they also suffer from his problem, and the only current solution for this is first loading up a scenario with a default aicraft (e.g. F-22) and only then switching to the PMDG 747 (as mentioned in the 2nd comment).
4. This I havent tried yet, that might worth a try: To check out if the problem exists with P3D v4.1 - I heard from friend its all OK there (not including jordanal's comment here on the 777).

Just a note here, probably mentioned earlier: The problem did not occur when loading up a new scenario with a PMDG 737 or a 777 - only with the 747.

Therefore, after doing all the checkings there might be a compatability issue with either PMDG 747 (who will obviously not support LINDA hence not release any suitable updates), or P3D v4.2 that might cause the problem. Maybe some FSUIPC modifications are required to solve this problem. I'm still no expert in these levels. 



 

Share this post


Link to post
Share on other sites
7 hours ago, yardenbe said:

issue with either PMDG 747 (who will obviously not support LINDA hence not release any suitable updates)

 

Hello,

 

why should the 747 not support LINDA? It must not support it, but LINDA supports the 747. There's no need for PMDG to make any support regarding LINDA (indeed they do by providing an excellent SDK)

 

It is common knowledge, that loading a flight directly into any PMDG airplane will lead to several errors. Always, always load an default airplane before (I use the BB58), you even do not need to start the sim - the main menü laoding screen with a default aircraft is enough.

But you have to do this. Otherwise you get all sort of errors. Not only crashing but misbehave in functions: FMC is faulty, some switches do not work and so on. And that doesn't have to do anything with LINDA.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now